package com.hzya.frame.sys.user.dao;

import com.hzya.frame.sys.user.entity.User;
import java.util.List;

/**
 * @description: 用户管理  dao
 * @tableName: sys_user
 * @entityName: User
 * @author: gjh
 * @history: 1.0
 */
public interface IUserMapper {

        //通过ID获取数据    entity_get
        User entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<User> entity_list_base(User entity);

        //  查询符合条件的数量
        Integer entity_count(User entity);

        //分页查询列表 采用like格式 entity_list_like
        List<User> entity_list_like(User entity);

        //查询列表 字段采用or格式   entity_list_or
        List<User> entity_list_or(User entity);

        //新增  entity_insert
        User entity_insert(User entity);

        //修改  entity_update
        Integer entity_update(User entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(User entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(User entity);

        //物理删除
        Integer entity_delete(User entity);


}
